Package org.apache.catalina.ha.deploy

# Interface FileChangeListener

All Known Implementing Classes:
  `FarmWarDeployer`

public interface FileChangeListener

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `fileModified(File f)`
  Modification from watchDir war detected.
  `void`
  `fileRemoved(File f)`
  War remove from watchDir.

- ## Method Details

  - ### fileModified

    void fileModified(File f)
    Modification from watchDir war detected.
    Parameters:
      `f` - the modified file

  - ### fileRemoved

    void fileRemoved(File f)
    War remove from watchDir.
    Parameters:
      `f` - the file removed